# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包删除验证,2264,2264-4,sit,bs
主数据平台:运营后台管理系统套包列表查询和套包删除等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取套包信息groupId
group_id = result["data"]["list"][0]["groupId"]

# 第三步进行套包删除操作验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url9")
request_body = commonFuc().get_business_data(module, "payload9", group_id)

"""
 场景:套包删除验证
 用例名称：套包删除验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict9")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 数据库验证
# 创建数据库对象
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 进行已删除套包查询验证
sql = "SELECT t.status FROM `cmdc-order`.tc_fresenius_group t WHERE groupId = '%s'" % group_id
status = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]
result = {"status": status}

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict90")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
