# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_jde配货列表,2295,2295-5,sit,bs
主数据平台:后台运营系统获取jde配货列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取jde配货列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body = commonFuc().get_business_data(module, "payload2")
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 生成随机数
dis_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取配货单信息
distributionJdeDsCode = func(result["data"]["list"][dis_random]["distributionJdeDsCode"])
pushType = func(result["data"]["list"][dis_random]["pushType"])
mergeSign = func(result["data"]["list"][dis_random]["mergeSign"])
customerInfo = func(result["data"]["list"][dis_random]["customerCode"])
productCode = func(result["data"]["list"][dis_random]["productCode"])
soCode = func(result["data"]["list"][dis_random]["soCode"])
optionStr = func(result["data"]["list"][dis_random]["optionStr"])
materialCode = func(result["data"]["list"][dis_random]["materialCode"])
mergeCode = func(result["data"]["list"][dis_random]["mergeCode"])
code = result["data"]["list"][dis_random]["demandCodeStr"]
jdeType = func(result["data"]["list"][dis_random]["jdeType"])
activityType = func(result["data"]["list"][dis_random]["activityType"])
isGroup = func(result["data"]["list"][dis_random]["isGroup"])

# 第三步进行条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url5")
request_body = commonFuc().get_business_data(module, "payload5", distributionJdeDsCode, pushType, mergeSign,
                                             customerInfo,
                                             productCode, soCode, optionStr, materialCode, mergeCode, code, jdeType,
                                             activityType,
                                             isGroup)

"""

 场景: 查询条件验证_jde配货列表
 用例名称：查询条件验证_jde配货列表
 输出：{"code":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中子需求单
result = json.loads(result.content)
# print(result)
result = {"code": result["data"]["list"][0]["demandCodeStr"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict5", code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
