# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc下单数量设置批量删除功能验证,2293,2293-070,sit,bs
主数据平台:运营后台管理系统下单数量设置批量删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取下单数量列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url57")
request_body = commonFuc().get_business_data(module, "payload62_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
product_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取下单数量设置信息
product_package = result["data"]["list"][product_random]
product_package["purchaseMultiple"] = 5

# 进行停用操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url64")
request_body = [product_package]
# print(request_body)
"""

 场景: 下单数量设置批量删除功能验证
 用例名称：下单数量设置批量删除功能验证
 输出：{"success":true,"code":"200","message":"OK","data":1,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict64")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)