# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取商品属性列表,2293,2293-001,sit,bs
主数据平台:运营后台管理系统商品属性列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 获取商品属性列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")

"""
 场景: 验证商品属性列表接口连通性
 用例名称：获取商品属性列表
 输出：{"total":"%s"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)

# 获取列表中商品属性数量
result = {"total": result["data"]["total"]}
result["api_time"] = api_time
# print(result)
# 查询数据库中对应公司对应的商品属性数量
sql = "SELECT count(t.productId) FROM `cmdc-product`.ic_product_properties t WHERE companyCode = 00111 and deleteSign = 0"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-product", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
